resources:
  App\Entity\Order\AdvertBroadcastOrder:
    operations:
      ApiPlatform\Metadata\GetCollection:
        filters: [ 'advert_broadcast_order.order_filter', 'advert_broadcast_order.search_filter','order.order_filter', 'order.search_filter' ]
        openapiContext:
          summary: AdvertBroadcastOrder - List.
          description: >
            Retrieves a list of AdvertBroadcastOrder
        normalizationContext:
          groups:
            - 'identifier:read'
            - 'time_trace:read'
            - 'order:read'
            - 'advert_broadcast_order:read'

      ApiPlatform\Metadata\Get:
        openapiContext:
          summary: AdvertBroadcastOrder - Item.
          description: >
            Retrieves a item of AdvertBroadcastOrder
        normalizationContext:
          groups:
            - 'identifier:read'
            - 'time_trace:read'
            - 'advert_broadcast_order:read'
            - 'order:read'

      ApiPlatform\Metadata\Post:
        openapiContext:
          summary: AdvertBroadcastOrder - Create.
          description: >
            create an item of AdvertBroadcastOrder
        normalizationContext:
          groups:
            - 'identifier:read'
            - 'time_trace:read'
            - 'advert_broadcast_order:read'
            - 'order:read'
        denormalizationContext:
          groups:
            - 'advert_broadcast_order:write'
            - 'order:write'
            - 'advert_broadcast:write'

      ApiPlatform\Metadata\Put:
        openapiContext:
          summary: AdvertBroadcastOrder - Update.
          description: >
            update an item of AdvertBroadcastOrder
        normalizationContext:
          groups:
            - 'identifier:read'
            - 'time_trace:read'
            - 'advert_broadcast_order:read'
            - 'order:read'
        denormalizationContext:
          groups:
            - 'advert_broadcast_order:write'
            - 'order:write'
            - 'advert_broadcast:write'

      ApiPlatform\Metadata\Delete:
        openapiContext:
          summary: AdvertBroadcastOrder - Delete.
          description: >
            delete an item of AdvertBroadcastOrder
